--- /usr/bin/dpkg-buildpackage	2015-09-21 08:14:09.000000000 +0200
+++ dpkg-buildpackage	2015-09-26 12:26:12.021323238 +0200
@@ -566,6 +566,20 @@
 }
 
 if ($include & BUILD_BINARY) {
+    # Print information about compiler flags to be later used when parsing the
+    # build log (e.g. by blhc). The package maintainer controls which compiler
+    # flags are used through several environment variables (e.g.
+    # DEB_BUILD_MAINT_OPTIONS, see man dpkg-buildflags for details) which are
+    # only available from "inside" debian/rules, thus calling just
+    # dpkg-buildflags is not enough. Errors are not fatal, ignore them.
+    system('make', '--eval', <<'EOF', 'run-dpkg-buildflags-status');
+include debian/rules
+
+.PHONY: run-dpkg-buildflags-status
+run-dpkg-buildflags-status:
+	@dpkg-buildflags --status
+EOF
+
     withecho(@debian_rules, $buildtarget);
     run_hook('binary', 1);
     withecho(@rootcommand, @debian_rules, $binarytarget);
